%global pkg_name network

%global common_summary Haskell %{pkg_name} library

%global common_description A Haskell network library.

%global ghc_pkg_deps ghc-parsec-devel

Name:           ghc-%{pkg_name}
# part of haskell-platform-2011.1.0.0
Version:        2.3.0.2
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_lib_package


%changelog
* Tue Feb 15 2011 Jens Petersen <petersen@redhat.com> - 2.3.0.2-1
- update to 2.3.0.2 for haskell-platform-2011.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Jens Petersen <petersen@redhat.com> - 2.3-2
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 2.3-1
- update to 2.3

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.7-5
- update url and drop -o obsoletes

* Sat Sep  4 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.7-4
- update to latest macros, hscolour and drop doc pkg (cabal2spec-0.22.2)
- part of haskell-platform-2010.2.0.0

* Fri Jun 25 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.7-3
- strip shared library (cabal2spec-0.21.4)

* Mon Apr 26 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.7-2
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Tue Mar 23 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.7-1
- update to 2.2.1.7 for haskell-platform-2010.1.0.0

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.5-1
- update to 2.2.1.5 (haskell-platform-2009.3.1)
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common_summary and common_description
- use ghc_lib_package and ghc_pkg_deps
- build shared library
- drop redundant buildroot and its install cleaning

* Tue Sep 22 2009 Jens Petersen <petersen@redhat.com> - 2.2.1.4-2
- version ghcdocdir to avoid conflict with ghc-doc-6.10.4 (#523884)

* Wed Sep 16 2009 Jens Petersen <petersen@redhat.com> - 2.2.1.4-1
- initial packaging for Fedora created by cabal2spec
